com.fasterxml.jackson.databind.jsonFormatVisitors

## Enum JsonValueFormat

- java.lang.Object
- - java.lang.Enum<JsonValueFormat>
  - - com.fasterxml.jackson.databind.jsonFormatVisitors.JsonValueFormat

All Implemented Interfaces:
  Serializable, Comparable<JsonValueFormat>

    public enum JsonValueFormat
    extends Enum<JsonValueFormat>

This enum represents the encoded format for a jsonSchema value type

Author:
  jphelan

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLOR` This is a CSS color (like "#FF0000" or "red"), based on CSS 2.1 [W3C.CR-CSS21-20070719].
`DATE` This SHOULD be a date in the format of YYYY-MM-DD.
`DATE_TIME` This SHOULD be a date in ISO 8601 format of YYYY-MM- DDThh:mm:ssZ in UTC time.
`EMAIL` This SHOULD be an email address.
`HOST_NAME` This SHOULD be a host-name.
`IP_ADDRESS` This SHOULD be an ip version 4 address.
`IPV6` This SHOULD be an ip version 6 address.
`PHONE` This SHOULD be a phone number (format MAY follow E.123).
`REGEX` A regular expression, following the regular expression specification from ECMA 262/Perl 5.
`STYLE` This is a CSS style definition (like "color: red; background- color:#FFF"), based on CSS 2.1 [W3C.CR-CSS21-20070719].
`TIME` This SHOULD be a time in the format of hh:mm:ss.
`URI` This value SHOULD be a URI..
`UTC_MILLISEC` This SHOULD be the difference, measured in milliseconds, between the specified time and midnight, 00:00 of January 1, 1970 UTC.

### Method Summary

Methods
`String` `toString()`
`static JsonValueFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JsonValueFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DATE_TIME

    public static final JsonValueFormat DATE_TIME

This SHOULD be a date in ISO 8601 format of YYYY-MM- DDThh:mm:ssZ in UTC time. This is the recommended form of date/ timestamp.

#### DATE

    public static final JsonValueFormat DATE

This SHOULD be a date in the format of YYYY-MM-DD. It is recommended that you use the "date-time" format instead of "date" unless you need to transfer only the date part.

#### TIME

    public static final JsonValueFormat TIME

This SHOULD be a time in the format of hh:mm:ss. It is recommended that you use the "date-time" format instead of "time" unless you need to transfer only the time part.

#### UTC_MILLISEC

    public static final JsonValueFormat UTC_MILLISEC

This SHOULD be the difference, measured in milliseconds, between the specified time and midnight, 00:00 of January 1, 1970 UTC. The value SHOULD be a number (integer or float).

#### REGEX

    public static final JsonValueFormat REGEX

A regular expression, following the regular expression specification from ECMA 262/Perl 5.

#### COLOR

    public static final JsonValueFormat COLOR

This is a CSS color (like "#FF0000" or "red"), based on CSS 2.1 [W3C.CR-CSS21-20070719].

#### STYLE

    public static final JsonValueFormat STYLE

This is a CSS style definition (like "color: red; background- color:#FFF"), based on CSS 2.1 [W3C.CR-CSS21-20070719].

#### PHONE

    public static final JsonValueFormat PHONE

This SHOULD be a phone number (format MAY follow E.123).

#### URI

    public static final JsonValueFormat URI

This value SHOULD be a URI..

#### EMAIL

    public static final JsonValueFormat EMAIL

This SHOULD be an email address.

#### IP_ADDRESS

    public static final JsonValueFormat IP_ADDRESS

This SHOULD be an ip version 4 address.

#### IPV6

    public static final JsonValueFormat IPV6

This SHOULD be an ip version 6 address.

#### HOST_NAME

    public static final JsonValueFormat HOST_NAME

This SHOULD be a host-name.

### Method Detail

#### values

    public static JsonValueFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JsonValueFormat c : JsonValueFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JsonValueFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<JsonValueFormat>`